/*****************************************************************************
 * $LastChangedDate: 2011-02-26 16:22:31 -0500 (Sat, 26 Feb 2011) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Sound sample (NOP).
 *//*
 * LEGAL:   COPYRIGHT (C) 2009 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef SOUND_SOUND_SAMPLE_NOP_HH
#define SOUND_SOUND_SAMPLE_NOP_HH 1

#include "sound/defs.hh"
#include "sound/sound_sample.hh"

namespace sound {

////////////////////////////////////////////////////////////////////////////
/// @brief Sound sample (NOP).
///
class SampleNOP : public Sample
{
PREVENT_COPYING(SampleNOP)
public:
                    SampleNOP( const Sample::Name& sampleName ) : Sample(sampleName) { }
    virtual         ~SampleNOP() { }
    virtual bool    IfPlaying( void ) { return true; }
    virtual bool    Play( const defs::ePlayLoop loop, const fp volume ) { return true; }
    virtual bool    Stop( void ) { return true; }
    virtual bool    SetVolume( const fp volume ) { return true; }
    virtual fp      GetVolume( void ) { return 1.0f; }
};

} // namespace sound

#endif // SOUND_SOUND_SAMPLE_NOP_HH
